## oyranos-0.9.4.tar.bz2

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6.4)

PROJECT (Oyranos)

SET (OYRANOS_VERSION_MAJOR 0)
SET (OYRANOS_VERSION_MINOR 9)
SET (OYRANOS_VERSION_MICRO 4)

SET (OYRANOS_DEVEL_MONTH 01)
SET (OYRANOS_DEVEL_YEAR 2013)

SET (PACKAGE_NAME "oyranos")
set (PACKAGE_DESCRIPTION "Oyranos is a Colour Management System (CMS) on operating system level. It allows to match predictably input device colours to output device colours across supporting applications. One goal is to make colour management useful for all users in a automated fashion and regardless of any technical knowledge.")

SET( OY_CMMSUBPATH     "colour/modules" )
SET( OY_METASUBPATH    "${PACKAGE_NAME}" )

#additional cmake modules for loading libraries
SET (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

IF (NOT CMAKE_BUILD_TYPE)
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
ENDIF (NOT CMAKE_BUILD_TYPE)


# some basic and important variables
SET( DOMAIN oyranos.org ) #needed by doxygen
SET( REVERSE_DOMAIN org.oyranos )

SET( OYRANOS_VERSION "${OYRANOS_VERSION_MAJOR}.${OYRANOS_VERSION_MINOR}.${OYRANOS_VERSION_MICRO}" )
SET( OYRANOS_VERSION_MAJORMINOR "${OYRANOS_VERSION_MAJOR}.${OYRANOS_VERSION_MINOR}" )

IF( ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
  SET(PLATFORM "OSX")
ELSEIF( ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  SET(PLATFORM "Linux")
ELSE( ${CMAKE_SYSTEM_NAME} MATCHES "Linux")
  SET(PLATFORM "${CMAKE_SYSTEM_NAME}")
ENDIF( ${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
MESSAGE( "-- Found PLATFORM: ${PLATFORM}" )


# detect top level projects
FIND_PACKAGE( Yajl )
IF( HAVE_YAJL )
  INCLUDE_DIRECTORIES( ${YAJL_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${YAJL_LIBRARY_DIRS} )
  INCLUDE( CheckIncludeFiles )
  CHECK_INCLUDE_FILES( yajl/yajl_version.h HAVE_YAJL_VERSION_H )
  # yajl2 should come with yajl_version.h, the included yajl is version 1.0.x
  IF( NOT HAVE_YAJL_VERSION_H )
    INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/yajl/ )
  ENDIF( NOT HAVE_YAJL_VERSION_H )
ELSE( HAVE_YAJL )
  IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
    include(ExternalProject)
    ExternalProject_Add( yajl
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/yajl
    CONFIGURE_COMMAND cmake ${CMAKE_CURRENT_SOURCE_DIR}/yajl
    BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/yajl
    BUILD_COMMAND ${MAKE}
    # skip installation
    INSTALL_COMMAND echo )
    INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR}/yajl )
    LINK_DIRECTORIES( ${CMAKE_CURRENT_BINARY_DIR}/yajl )
    SET( YAJL_LIBRARIES yajl-static )
  ENDIF()
  
ENDIF( HAVE_YAJL )

FIND_PACKAGE( Elektra )
IF(HAVE_ELEKTRA)
  SET( ELEKTRA_SPEC "Requires: elektra 0.7
BuildRequires: elektra-devel" )
  INCLUDE_DIRECTORIES( ${ELEKTRA_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${ELEKTRA_LIBRARY_DIRS} )
ELSE(HAVE_ELEKTRA)
  SET( ELEKTRA_VERSION elektra-0.7.1 )
  MESSAGE( "-- Using internal Elektra: ${ELEKTRA_VERSION}" )
  INCLUDE_DIRECTORIES( ${CMAKE_SOURCE_DIR}/${ELEKTRA_VERSION}/src/include
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/include )
  SET( ELEKTRA_LIBRARIES_STATIC
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-kdb.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-kdbhandle.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-key.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-keyset.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-trie.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-kdbhighlevel.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-kdbcapability.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-keyhelpers.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-keymeta.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-keyname.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-keytest.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-keyvalue.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-serialize.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-split.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektra/libelektra_a-exported_symbols.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libloader/libloader_static_a-kdbLibLoader.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libhelper/libhelper_static_a-internal.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libhelper/libhelper_static_a-helper.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/backends/filesys/libelektra_filesys_a-filesys.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektratools/libelektratools_a-kdbtools.o
       ${CMAKE_BINARY_DIR}/${ELEKTRA_VERSION}/src/libelektratools/libelektratools_a-stream.o
     )
  SET( ELEKTRA_LIBRARIES 
       ${LIBXML2_LIBRARIES}
     )
  IF(CMAKE_VERSION VERSION_GREATER 2.8.0)
    include(ExternalProject)
    ExternalProject_Add( ${ELEKTRA_VERSION}
    SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/${ELEKTRA_VERSION}
    # GCC flags (-fPIC) will fail on Windows, without we get relocation R_X86_64_32 errors
    CONFIGURE_COMMAND CFLAGS=-fPIC ${CMAKE_CURRENT_SOURCE_DIR}/${ELEKTRA_VERSION}/configure --enable-static --enable-shared=false
    BINARY_DIR ${CMAKE_CURRENT_BINARY_DIR}/${ELEKTRA_VERSION}
    BUILD_COMMAND ${MAKE}
    # skip installation
    INSTALL_COMMAND echo )
  ENDIF()
ENDIF(HAVE_ELEKTRA)

#now add all directories
ADD_SUBDIRECTORY( src )
ADD_SUBDIRECTORY( cmake )
ADD_SUBDIRECTORY( extras )
ADD_SUBDIRECTORY( settings )
ADD_SUBDIRECTORY( doc )



ADD_CUSTOM_TARGET( uninstall
	"${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/OyranosUninstall.cmake")

ADD_CUSTOM_TARGET( dist
		COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/ && git archive --prefix=oyranos-${OYRANOS_VERSION}/ --format=tar HEAD > ${CMAKE_CURRENT_BINARY_DIR}/oyranos-${OYRANOS_VERSION}.tar 
                COMMAND echo "git:       git clone git://www.oyranos.org/git/oyranos" > ${CMAKE_CURRENT_BINARY_DIR}/oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND echo "git sha1:  " | tr -d "\\n" >> ${CMAKE_CURRENT_BINARY_DIR}/oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND cd ${CMAKE_CURRENT_SOURCE_DIR}/ && git rev-parse HEAD >> ${CMAKE_CURRENT_BINARY_DIR}/oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum 
                COMMAND rm -rf oyranos-${OYRANOS_VERSION} && tar xf oyranos-${OYRANOS_VERSION}.tar 
                COMMAND cp -ar ${CMAKE_SOURCE_DIR}/elektra-0.7.1/ oyranos-${OYRANOS_VERSION} && tar cf - oyranos-${OYRANOS_VERSION} | bzip2 > oyranos-${OYRANOS_VERSION}.tar.bz2
                COMMAND echo  "package:   http://sourceforge.net/projects/oyranos/files/Oyranos/Oyranos%20${OYRANOS_VERSION_MAJORMINOR}/oyranos-${OYRANOS_VERSION}.tar.bz2" >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND echo  "size:      " | tr -d "\\n" >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND du -b oyranos-${OYRANOS_VERSION}.tar.bz2 | sed s/[[:space:]][[:print:]]*// >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum 
                COMMAND echo  "md5sum:    " | tr -d "\\n" >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND cd ${CMAKE_CURRENT_BINARY_DIR}/ && md5sum oyranos-${OYRANOS_VERSION}.tar.bz2 >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND echo  "sha1sum:   " | tr -d "\\n" >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND sha1sum oyranos-${OYRANOS_VERSION}.tar.bz2 >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND echo  "sha256sum: " | tr -d "\\n" >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
                COMMAND sha256sum oyranos-${OYRANOS_VERSION}.tar.bz2 >> oyranos-${OYRANOS_VERSION}.tar.bz2.hashsum
		COMMENT Make a oyranos source package by using git
		VERBATIM
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
		)
EXEC_PROGRAM (  rpmbuild 
                ARGS --showrc | awk '/^build arch/ {print $$4}'
                OUTPUT_VARIABLE RPMARCH
             )
ADD_CUSTOM_TARGET( rpm
		COMMAND test -d ${PACKAGE_NAME}-${OYRANOS_VERSION}/ && rm -rf ${PACKAGE_NAME}-${OYRANOS_VERSION}/
		COMMAND tar xjf ${PACKAGE_NAME}-${OYRANOS_VERSION}.tar.bz2
                COMMAND mkdir -p rpmdir/BUILD rpmdir/SPECS rpmdir/SOURCES rpmdir/SRPMS rpmdir/RPMS/${RPMARCH}
                COMMAND cp -f ${PACKAGE_NAME}-${OYRANOS_VERSION}.tar.bz2 rpmdir/SOURCES
                COMMAND rpmbuild --clean -ba extras/${PACKAGE_NAME}.spec --define "_topdir ${CMAKE_CURRENT_BINARY_DIR}/rpmdir"
                DEPENDS dist
		COMMENT Make a oyranos RPM package
		VERBATIM
		)

ADD_CUSTOM_TARGET( debsrc
		COMMAND test -d ${PACKAGE_NAME}-${OYRANOS_VERSION}/ && rm -rf ${PACKAGE_NAME}-${OYRANOS_VERSION}/
		COMMAND tar xjf ${PACKAGE_NAME}-${OYRANOS_VERSION}.tar.bz2
                COMMAND mv ${PACKAGE_NAME}-${OYRANOS_VERSION}.tar.bz2 ${PACKAGE_NAME}_${OYRANOS_VERSION}.orig.tar.bz2
                COMMAND cp -R ${CMAKE_SOURCE_DIR}/extras/debian ${PACKAGE_NAME}-${OYRANOS_VERSION}/
                COMMAND dpkg-source -b ${PACKAGE_NAME}-${OYRANOS_VERSION}/
                DEPENDS dist
		COMMENT Make a oyranos DEB source package
		VERBATIM
		)
ADD_CUSTOM_TARGET( debian
		COMMAND cd ${PACKAGE_NAME}-${OYRANOS_VERSION}/ && debuild
                DEPENDS debsrc
		COMMENT Make a oyranos DEB package
		VERBATIM
		)

=== cmake/CMakeLists.txt ===
#
# Target installation folders
#

SET (TARGET_INCLUDE_FOLDER
		"oyranos"
		CACHE STRING
		"Optional folder below system include folder to install include files."
    )

SET (TARGET_CMAKE_FOLDER
		"share/cmake-${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}/Modules"
		CACHE STRING
		"The folder below system prefix where to install cmake files."
    )

SET (TARGET_PLUGIN_FOLDER "oyranos"
		CACHE STRING
		"Optional folder below system library folder where to install oyranos plugins. LIB_SUFFIX is honored."
    )

SET (TARGET_PKGCONFIG_FOLDER
		"pkgconfig"
		CACHE STRING
		"The folder below system library folder where to install pkgconfig files. LIB_SUFFIX is honored."
    )

SET (TARGET_DOCUMENTATION_FOLDER
		"share/doc/oyranos-api"
		CACHE STRING
		"The folder below system prefix where to install api documentation files."
    )


#
# Misc.
#

SET (LIB_SUFFIX ""
		CACHE STRING
		"Optional suffix to use on lib folders (e.g. 64 for lib64)"
    )
#cmake settings for use by find_package
CONFIGURE_FILE (
		"${CMAKE_CURRENT_SOURCE_DIR}/OyranosConfig.cmake.in"
		"${CMAKE_CURRENT_BINARY_DIR}/OyranosConfig.cmake"
		@ONLY
	)

INSTALL ( FILES
		"${CMAKE_CURRENT_BINARY_DIR}/OyranosConfig.cmake"
		DESTINATION lib${LIB_SUFFIX}/oyranos/cmake COMPONENT dev
	)

=== doc/CMakeLists.txt ===
CONFIGURE_FILE(
                "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in"
                "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile"
                @ONLY
       )
CONFIGURE_FILE(
                "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.files.in"
                "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.files"
                @ONLY
       )
CONFIGURE_FILE(
                "${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile_alpha.in"
                "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_alpha"
                @ONLY
       )

SET( MAN1_PAGES
     man/oyranos-config-fltk.1
     man/oyranos-monitor.1
     man/oyranos-monitor-daemon.1
     man/oyranos-policy.1
     man/oyranos-profile.1
     man/oyranos-profile-graph.1
     man/oyranos-profile-install.1
     man/oyranos-profiles.1
     man/qcmsevents.1
   )
SET( MAN3_PAGES
     man/oyranos.3
     man/oyranos-config.3
   )

INSTALL( FILES ${MAN1_PAGES} DESTINATION share/man/man1 )
INSTALL( FILES ${MAN3_PAGES} DESTINATION share/man/man3 )

FIND_PACKAGE( Doxygen )
IF( DOXYGEN_FOUND )

  ADD_CUSTOM_COMMAND( OUTPUT html
    COMMAND cat ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.files | grep ^FILE_PATTERNS | sed 's%\;/home/kuwe/programme/CMS/Oyranos/Entwickeln/src/API_generated/% %g \; s%\;% %g' >> Doxyfile \; doxygen Doxyfile \; cp ${CMAKE_SOURCE_DIR}/extras/icons/${PACKAGE_NAME}_logo.png html/ \; cp ${CMAKE_CURRENT_SOURCE_DIR}/doxygen.css html/ \; doxygen ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_alpha \; cp ${CMAKE_SOURCE_DIR}/extras/icons/${PACKAGE_NAME}_logo.png doc_alpha/html/
                    )

  ADD_CUSTOM_TARGET( docu ALL
                     DEPENDS html )

  INSTALL( DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html DESTINATION share/doc/${PACKAGE_NAME} )
ENDIF()

=== extras/CMakeLists.txt ===
CONFIGURE_FILE(
		"${CMAKE_CURRENT_SOURCE_DIR}/oyranos-config.in"
		"${CMAKE_BINARY_DIR}/oyranos-config"
		@ONLY
       )

INSTALL( PROGRAMS "${CMAKE_BINARY_DIR}/oyranos-config" DESTINATION bin )
INSTALL( PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/oyranos-profile-install" DESTINATION bin )
INSTALL( PROGRAMS "${CMAKE_CURRENT_SOURCE_DIR}/oyranos-monitor-daemon" DESTINATION bin )
INSTALL( FILES oyranos-profile-install.desktop DESTINATION share/applications)
INSTALL( FILES icons/oyranos_logo.png DESTINATION share/pixmaps )
INSTALL( FILES icons/lcms_logo2.png DESTINATION share/pixmaps )

# needs to go to the autostart directory - hack hack hack
MESSAGE( "XDG_CONFIG_DIR: ${XDG_CONFIG_DIR}" )
IF( XDG_CONFIG_DIR )
  MESSAGE( "Will install oyranos-monitor-setup.desktop into ${XDG_CONFIG_DIR}/autostart" )
  INSTALL( FILES oyranos-monitor-setup.desktop OPTIONAL DESTINATION ${XDG_CONFIG_DIR}/autostart )
ELSE()
  MESSAGE( "Will install oyranos-monitor-setup.desktop into /etc/xdg/autostart. Change with -DXDG_CONFIG_DIR=<path> ." )
  INSTALL( FILES oyranos-monitor-setup.desktop OPTIONAL DESTINATION /etc/xdg/autostart )
ENDIF()

#pkg-config files
CONFIGURE_FILE(
		"${CMAKE_CURRENT_SOURCE_DIR}/oyranos.pc.in"
		"${CMAKE_CURRENT_BINARY_DIR}/oyranos.pc"
		@ONLY
       )

CONFIGURE_FILE(
		"${CMAKE_CURRENT_SOURCE_DIR}/oyranos.spec.in"
		"${CMAKE_CURRENT_BINARY_DIR}/oyranos.spec"
		@ONLY
       )

INSTALL( FILES
		"${CMAKE_CURRENT_BINARY_DIR}/oyranos.pc"
		DESTINATION lib${LIB_SUFFIX}/${TARGET_PKGCONFIG_FOLDER}
       )

=== settings/CMakeLists.txt ===
INSTALL( FILES
         "${CMAKE_SOURCE_DIR}/settings/designer.policy.xml"
         "${CMAKE_SOURCE_DIR}/settings/office.policy.xml"
         "${CMAKE_SOURCE_DIR}/settings/photographer.policy.xml"
         "${CMAKE_SOURCE_DIR}/settings/prepress.policy.xml"
         DESTINATION share/color/settings/
       )

=== src/CMakeLists.txt ===
SET (GENDIR "${CMAKE_SOURCE_DIR}/src/API_generated/" )

INCLUDE_DIRECTORIES(
                    "${CMAKE_SOURCE_DIR}"
                    "${CMAKE_SOURCE_DIR}/src"
                    "${CMAKE_SOURCE_DIR}/src/include"
                    "${CMAKE_BINARY_DIR}/src/include"
                    "${CMAKE_SOURCE_DIR}/src/include_private"
                    "${CMAKE_BINARY_DIR}/src/include_private"
                    "${CMAKE_SOURCE_DIR}/src/liboyranos_core"
                    "${CMAKE_SOURCE_DIR}/src/liboyranos_object"
                    "${CMAKE_SOURCE_DIR}/src/liboyranos_modules"
                    "${CMAKE_SOURCE_DIR}/src/liboyranos_config"
                    "${CMAKE_SOURCE_DIR}/src/liboyranos"
                    "${GENDIR}"
)

# if our static code lands inside a shared lib, we need -fPIC
IF(UNIX)
  IF(CMAKE_COMPILER_IS_GNUCC)
    SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC")
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fPIC")
  ENDIF(CMAKE_COMPILER_IS_GNUCC)
ENDIF(UNIX)

# dependencies
INCLUDE(CheckLibraryExists)
INCLUDE(CheckIncludeFile)
CHECK_INCLUDE_FILE(libintl.h HAVE_LIBINTL_H)
FIND_LIBRARY( LIBINTL_LIBRARIES NAMES intl libintl )
IF(LIBINTL_LIBRARIES)
  SET( EXTRA_LIBS ${EXTRA_LIBS} ${LIBINTL_LIBRARIES} )
  SET( EXTRA_LIBS_CORE ${EXTRA_LIBS_CORE} ${LIBINTL_LIBRARIES} )
ENDIF(LIBINTL_LIBRARIES)

CHECK_LIBRARY_EXISTS( iconv libiconv_open "iconv.h" HAVE_ICONV )
IF( HAVE_ICONV )
  SET( EXTRA_LIBS ${EXTRA_LIBS} iconv )
  SET( EXTRA_LIBS_CORE ${EXTRA_LIBS_CORE} iconv )
ELSE( HAVE_ICONV )
  CHECK_LIBRARY_EXISTS( iconv iconv_open "iconv.h" HAVE_ICONV_UNIX )
  IF( HAVE_ICONV_UNIX )
    SET( EXTRA_LIBS ${EXTRA_LIBS} iconv )
    SET( EXTRA_LIBS_CORE ${EXTRA_LIBS_CORE} iconv )
    SET( HAVE_ICONV TRUE )
  ENDIF( HAVE_ICONV_UNIX )
ENDIF( HAVE_ICONV )


CHECK_LIBRARY_EXISTS(m pow "math.h" HAVE_M)
IF(HAVE_M)
  SET( EXTRA_LIBS ${EXTRA_LIBS} m )
  SET( EXTRA_LIBS_CORE ${EXTRA_LIBS_CORE} m )
ENDIF(HAVE_M)

CHECK_LIBRARY_EXISTS(dl dlopen "dlfcn.h" HAVE_DL)
IF(HAVE_DL)
  SET( EXTRA_LIBS ${EXTRA_LIBS} dl )
ENDIF(HAVE_DL)

CHECK_INCLUDE_FILE("ltdl.h" HAVE_LTDL)
IF(HAVE_LTDL)
  SET( EXTRA_LIBS ${EXTRA_LIBS} ltdl )
ENDIF(HAVE_LTDL)

CHECK_LIBRARY_EXISTS(c malloc "stdio.h" HAVE_C)
IF(HAVE_C)
  SET( EXTRA_LIBS ${EXTRA_LIBS} c )
ENDIF(HAVE_C)

FIND_PACKAGE( LCMS )
IF( HAVE_LCMS )
  INCLUDE_DIRECTORIES( ${LCMS_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${LCMS_LIBRARY_DIRS} )
ENDIF()

FIND_PACKAGE( LCMS2 )
IF( HAVE_LCMS2 )
  INCLUDE_DIRECTORIES( ${LCMS2_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${LCMS2_LIBRARY_DIRS} )
ENDIF()

IF(NOT( LCMS_FOUND OR LCMS2_FOUND ))
  MESSAGE( SEND_ERROR "Need at least one little CMS installation. lcms2 is prefered; Download http://www.littlecms.com" )
ENDIF()

FIND_PACKAGE( OpenMP )
IF(OPENMP_FOUND)
  INCLUDE_DIRECTORIES( ${OPENMP_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${OPENMP_LIBRARY_DIRS} )
  SET( EXTRA_LIBS ${EXTRA_LIBS} ${OPENMP_LIBRARIES} )
  SET( HAVE_OPENMP 1 )
  SET( CMAKE_C_FLAGS_CORE "${CMAKE_C_FLAGS}" )
  SET( CMAKE_CXX_FLAGS_CORE "${CMAKE_CXX_FLAGS}" )
  SET( CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}" )
  SET( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}" )
ENDIF(OPENMP_FOUND)

FIND_PACKAGE( Xcm REQUIRED )
INCLUDE_DIRECTORIES( ${XCM_INCLUDE_DIRS} )
LINK_DIRECTORIES( ${XCM_LIBRARY_DIRS} )

FIND_PACKAGE( X11 )
IF(X11_FOUND)
  INCLUDE_DIRECTORIES( ${X11_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${X11_LIBRARY_DIRS} )
  SET( HAVE_X11 1 )

  FIND_PACKAGE( Xfixes )
  INCLUDE_DIRECTORIES( ${XFIXES_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${XFIXES_LIBRARY_DIRS} )

  FIND_PACKAGE( XRandR )
  INCLUDE_DIRECTORIES( ${XRANDR_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${XRANDR_LIBRARY_DIRS} )

  FIND_PACKAGE( Xinerama )
  INCLUDE_DIRECTORIES( ${XINERAMA_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${XINERAMA_LIBRARY_DIRS} )

  FIND_PACKAGE( Xxf86vm )
  INCLUDE_DIRECTORIES( ${XXF86VM_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${XXF86VM_LIBRARY_DIRS} )
ENDIF(X11_FOUND)

FIND_PACKAGE( CUPS )
IF(HAVE_CUPS)
  INCLUDE_DIRECTORIES( ${CUPS_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${CUPS_LIBRARY_DIRS} )
ENDIF(HAVE_CUPS)

FIND_PACKAGE( Cairo )
IF(HAVE_CAIRO)
  INCLUDE_DIRECTORIES( ${CAIRO_INCLUDE_DIR}/cairo )
  INCLUDE_DIRECTORIES( ${CAIRO_INCLUDE_DIR} )
  LINK_DIRECTORIES( ${CAIRO_LIBRARY_DIRS} )
ENDIF(HAVE_CAIRO)

FIND_PACKAGE(Qt4 COMPONENTS QtCore QtGui)
IF(QT_FOUND)
  SET( HAVE_QT 1 )
  INCLUDE_DIRECTORIES( ${QT_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${QT_LIBRARY_DIRS} )
ENDIF(QT_FOUND)

FIND_PACKAGE( Fltk )
IF(FLTK_FOUND)
  SET( HAVE_FLTK 1 )
  INCLUDE_DIRECTORIES( ${FLTK_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${FLTK_LIBRARY_DIRS} )
ENDIF(FLTK_FOUND)

FIND_PACKAGE(LibXml2 REQUIRED)
INCLUDE_DIRECTORIES( ${LIBXML2_INCLUDE_DIR} )
LINK_DIRECTORIES( ${LIBXML2_LIBRARY_DIRS} )
IF(LIBXML2_FOUND)
  SET( HAVE_LIBXML2 1 )
  # we need xml2 for internal elektra
  SET( LIBXML2_LIBRARIES ${LIBXML2_LIBRARIES} PARENT_SCOPE)
ENDIF(LIBXML2_FOUND)

FIND_PACKAGE( LibRaw )
IF( HAVE_LIBRAW )
#  TRY_COMPILE(
#    HAVE_LIBRAW_REALLY
#    ${CMAKE_BINARY_DIR}/src/tests
#    ${CMAKE_SOURCE_DIR}/src/tests/libraw_test.cxx
#    CMAKE_FLAGS "-DCMAKE_CXX_FLAGS=-I${LIBRAW_INCLUDE_DIR} -DCMAKE_EXE_LINKER_FLAGS=${LIBRAW_LIBRARY_DIRS}"
#    COMPILE_DEFINITIONS -shared
#    OUTPUT_VARIABLE TRY_COMPILE_OUTPUT
#    )
  INCLUDE_DIRECTORIES( ${LIBRAW_INCLUDE_DIR} )
  LINK_DIRECTORIES( ${LIBRAW_LIBRARY_DIRS} )
  TRY_COMPILE(
    HAVE_LIBRAW_PLUGIN
    ${CMAKE_BINARY_DIR}/src/tests/libraw_test
    ${CMAKE_SOURCE_DIR}/src/tests/libraw_test
    libraw_test
    CMAKE_FLAGS "-DCMAKE_CXX_FLAGS=-I${LIBRAW_INCLUDE_DIR} -DCMAKE_EXE_LINKER_FLAGS=${LIBRAW_LIBRARY_DIRS}"
    OUTPUT_VARIABLE TRY_COMPILE_OUTPUT
    )
  MESSAGE( "HAVE_LIBRAW_PLUGIN: ${HAVE_LIBRAW_PLUGIN}" )
ENDIF()

FIND_PACKAGE( Exif2 )
IF(HAVE_EXIV2)
  INCLUDE_DIRECTORIES( ${EXIV2_INCLUDE_DIRS} )
  LINK_DIRECTORIES( ${EXIV2_LIBRARY_DIRS} )
ENDIF(HAVE_EXIV2)

FIND_PACKAGE( LibPNG REQUIRED )
INCLUDE_DIRECTORIES( ${LIBPNG_INCLUDE_DIRS} )
LINK_DIRECTORIES( ${LIBPNG_LIBRARY_DIRS} )

FIND_PACKAGE( GetText )
MESSAGE( "GetText: ${GETTEXT_FOUND}" )
IF( GETTEXT_FOUND )
  SET( USE_GETTEXT TRUE )
ENDIF()

# debug
get_property(inc_dirs DIRECTORY PROPERTY INCLUDE_DIRECTORIES)
#MESSAGE( "-- INCLUDE_DIRECTORIES: ${inc_dirs}" )


ADD_SUBDIRECTORY( include )

ADD_SUBDIRECTORY( include_private )

ADD_SUBDIRECTORY( liboyranos_core )

ADD_SUBDIRECTORY( liboyranos_object )

ADD_SUBDIRECTORY( liboyranos_modules )

ADD_SUBDIRECTORY( liboyranos_config )

ADD_SUBDIRECTORY( liboyranos )

ADD_SUBDIRECTORY( modules )

ADD_SUBDIRECTORY( tests )

ADD_SUBDIRECTORY( tools )

ADD_SUBDIRECTORY( examples )


# versions for libraries
SET_TARGET_PROPERTIES( oyranos_core oyranos_object oyranos_modules oyranos_config oyranos
    PROPERTIES VERSION   ${OYRANOS_VERSION_MAJOR}.${OYRANOS_VERSION_MINOR}.${OYRANOS_VERSION_MICRO}
               SOVERSION ${OYRANOS_VERSION_MAJOR}
                     )


SET( DOC_SOURCES
	doxymentation doxymentation_common
	${CFILES_CORE_PUBLIC}
	${CHEADERS_PUBLIC}
	${CFILES_OBJECT_PUBLIC}
	${CHEADERS_OBJECT_PUBLIC}
	${CFILES_OBJECT_MODULES_PUBLIC}
	${CHEADERS_OBJECT_MODULES_PUBLIC}
	${CFILES_OBJECT_CONFIG_PUBLIC}
	${CFILES_OBJECT_CONFIG_GEN_PUBLIC}
	${CHEADERS_OBJECT_CONFIG_PUBLIC}
	${CFILES_OBJECT_IMAGING_PUBLIC}
	${CHEADERS_OBJECT_IMAGING_PUBLIC}
        PARENT_SCOPE
   )


# i18n
IF( GETTEXT_FOUND )
  SET(_potFile ${CMAKE_SOURCE_DIR}/po/${PACKAGE_NAME}.pot)
  #SET( _xgettext_option_list --language=C --keyword=_ --keyword=N_ --keyword=C_:1c,2 --keyword=NC_:1c,2 -s --package-name=${PROJECT_NAME} --package-version=${OYRANOS_VERSION_MAJOR}.${OYRANOS_VERSION_MINOR} )
  SET( _xgettext_option_list --keyword=gettext --flag=gettext:1:pass-c-format --keyword=_ --flag=_:1:pass-c-format --keyword=N_ --flag=N_:1:pass-c-format  --copyright-holder='Kai-Uwe Behrmann'  --msgid-bugs-address='ku.b@gmx.de' --from-code=utf-8 --package-name=${PROJECT_NAME} --package-version=${OYRANOS_VERSION_MAJOR}.${OYRANOS_VERSION_MINOR} )
  SET( XGETTEXT_CMD xgettext )
  FILE( GLOB SRC_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
        API_generated/*.c API_generated/*.h
        liboyranos/*.c
        liboyranos_core/*.c
        liboyranos_object/*.c
        liboyranos_modules/*.c
        liboyranos_config/*.c
        modules/*.c
        modules/devices/*.c
        modules/*.cpp
        modules/devices/*.cpp
        tools/*.c tools/qcmsevents/*.cpp tools/qcmsevents/*.cxx
      )

  ADD_CUSTOM_COMMAND(OUTPUT ${_potFile}
    COMMAND ${XGETTEXT_CMD} ${_xgettext_option_list} -o ${_potFile} ${SRC_FILES}
    DEPENDS ${SRC_FILES}
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    COMMENT "Extract translatable messages to ${_potFile}"
  )

  SET( LINGUAS ../po/cs.po ../po/de.po ../po/eo.po ../po/eu.po  ../po/fr.po )
  # compile translations always to have them ready for installation
  GETTEXT_CREATE_TRANSLATIONS( ${_potFile} ALL ${LINGUAS} )
ENDIF()


# code generation
ADD_CUSTOM_COMMAND( OUTPUT generator/oyAPIGenerator
                COMMAND cd generator/ && CMAKE_PREFIX_PATH="${CMAKE_CURRENT_BINARY_DIR}/generator/grantlee/lib/cmake/grantlee/" cmake -DCMAKE_BUILD_TYPE=Debug -DCMAKE_CXX_FLAGS=-g -Wall ${CMAKE_CURRENT_SOURCE_DIR}/generator && make || echo "Did you run ${CMAKE_CURRENT_SOURCE_DIR}/generator/download_grantlee.sh in ${CMAKE_CURRENT_BINARY_DIR}/generator/ ?"
		)

ADD_CUSTOM_TARGET( generate
		COMMAND cd ${CMAKE_CURRENT_BINARY_DIR}/generator/ && ./oyAPIGenerator ${CMAKE_CURRENT_SOURCE_DIR}/templates:${CMAKE_CURRENT_SOURCE_DIR}/sources:${CMAKE_CURRENT_SOURCE_DIR}/API_generated
		COMMENT "Generate source code from templates"
		VERBATIM
                DEPENDS generator/oyAPIGenerator
		WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/generator" )

=== yajl/CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 2.6.4)

SET( TARGET yajl )

SET( CHEADERS_YAJL_PUBLIC
	yajl/${TARGET}_common.h
	yajl/${TARGET}_gen.h
	yajl/${TARGET}_parse.h
	yajl/${TARGET}_version.h
   )
SET( CHEADERS_YAJL
	${TARGET}_alloc.h
	${TARGET}_buf.h
	${TARGET}_bytestack.h
	${TARGET}_encode.h
	${TARGET}_lex.h
	${TARGET}_parser.h
   )
SET( CFILES_YAJL 
	${TARGET}.c
	${TARGET}_alloc.c
	${TARGET}_buf.c
	${TARGET}_encode.c
	${TARGET}_gen.c
	${TARGET}_lex.c
	${TARGET}_parser.c
	${TARGET}_version.c
   )

SET( DOKU
	TODO
	README
	ChangeLog
	COPYING
   )

INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} )

ADD_LIBRARY( yajl-static STATIC ${CFILES_YAJL} )

=== src/examples/CMakeLists.txt ===
# example filter module
SET( OY_MODULE dFil )
SET( OY_MODULE_LIB ${PACKAGE_NAME}_${OY_MODULE}${OY_MODULE_NAME} )
ADD_LIBRARY( ${OY_MODULE_LIB}
             SHARED ${PACKAGE_NAME}_cmm_${OY_MODULE}.c )
TARGET_LINK_LIBRARIES ( ${OY_MODULE_LIB} oyranos ${EXTRA_LIBS} )
#INSTALL (TARGETS ${OY_MODULE_LIB} DESTINATION lib${LIB_SUFFIX}/${OY_CMMSUBPATH})

# example device module
SET( OY_MODULE dDev )
SET( OY_MODULE_LIB ${PACKAGE_NAME}_${OY_MODULE}${OY_MODULE_NAME} )
ADD_LIBRARY( ${OY_MODULE_LIB}
             SHARED ${PACKAGE_NAME}_cmm_${OY_MODULE}.c )
TARGET_LINK_LIBRARIES ( ${OY_MODULE_LIB} oyranos ${EXTRA_LIBS} )
#INSTALL (TARGETS ${OY_MODULE_LIB} DESTINATION lib${LIB_SUFFIX}/${OY_CMMSUBPATH})

# ICC profile hash calculation
ADD_EXECUTABLE( oymd5icc oymd5icc.c )
TARGET_LINK_LIBRARIES( oymd5icc oyranos ${EXTRA_LIBS} )
#INSTALL (TARGETS oymd5icc DESTINATION bin)

# Device listing
ADD_EXECUTABLE( oyranos-test-device "${CMAKE_CURRENT_SOURCE_DIR}/devices/test_device.c" )
TARGET_LINK_LIBRARIES( oyranos-test-device oyranos ${EXTRA_LIBS} )
#INSTALL (TARGETS oyranos-test-device DESTINATION bin)

# CamerRaw file handling
ADD_EXECUTABLE( oyranos-file "${CMAKE_CURRENT_SOURCE_DIR}/libraw/oyranos_file.cpp" )
TARGET_LINK_LIBRARIES( oyranos-file oyranos ${EXTRA_LIBS} )
#INSTALL (TARGETS oyranos-file DESTINATION bin)

# Taxi DB tool for central hosted ICC profile distribution
ADD_EXECUTABLE( taxi taxi.c )
TARGET_LINK_LIBRARIES( taxi oyranos ${EXTRA_LIBS} )
#INSTALL (TARGETS taxi DESTINATION bin)

# primitive picture montage with ICC support
IF( CAIRO_FOUND )
  ADD_EXECUTABLE( image2pdf image2pdf.c )
  TARGET_LINK_LIBRARIES ( image2pdf oyranos ${EXTRA_LIBS}
                 ${CAIRO_LIBRARIES} )
  #INSTALL (TARGETS oyranos-profile-graph DESTINATION bin)
ENDIF()

# simple image viewer
IF( FLTK_FOUND )
  ADD_EXECUTABLE( image-display 
                  "${CMAKE_CURRENT_SOURCE_DIR}/image_display/image_display.cpp"
                  "${CMAKE_CURRENT_SOURCE_DIR}/image_display/GLee.c"
                )
  TARGET_LINK_LIBRARIES ( image-display oyranos ${EXTRA_LIBS}
                 ${FLTK_LIBRARIES} )
  #INSTALL (TARGETS image-display DESTINATION bin)
  ADD_EXECUTABLE( oyranos-config-fltk
                  oyranos_config_fltk.cxx
                  ../../FL/Flmm_Tabs.cxx
                )
  TARGET_LINK_LIBRARIES ( oyranos-config-fltk oyranos ${EXTRA_LIBS}
                 ${FLTK_LIBRARIES} )
  INSTALL (TARGETS oyranos-config-fltk DESTINATION bin)
ENDIF()

ADD_SUBDIRECTORY( oforms )

=== src/generator/CMakeLists.txt ===
PROJECT(gsoc_2010)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

SET( CMAKE_BUILD_TYPE "Debug" )

OPTION( BUILD_TESTS "Build the test programs" FALSE )

IF(BUILD_TESTS)
  ADD_SUBDIRECTORY(tests)
ENDIF()

#FIND_PACKAGE(Qt4 COMPONENTS QtCore REQUIRED)
#INCLUDE(${QT_USE_FILE})
FIND_PACKAGE(Grantlee REQUIRED)

INCLUDE(${Grantlee_USE_FILE})

INCLUDE_DIRECTORIES(
  ${PROJECT_BINARY_DIR}
  ${PROJECT_SOURCE_DIR}
)

CONFIGURE_FILE(
  ${PROJECT_SOURCE_DIR}/config.h.cmake
  ${PROJECT_BINARY_DIR}/config.h
)

ADD_SUBDIRECTORY(grantlee_extensions)

#Setup MOC
set( MOC_HEADERS ClassInfo.h FuncInfo.h )
qt4_wrap_cpp( MOC_SOURCES ${MOC_HEADERS} )

# ... Application sources etc.
SET( GeneratorSrc "main.cc" "ClassTemplates.cc" "ClassInfo.cc" "FuncInfo.cc" "ClassGenerator.cc" )
ADD_EXECUTABLE( oyAPIGenerator ${GeneratorSrc} ${MOC_SOURCES} )
TARGET_LINK_LIBRARIES(
   oyAPIGenerator
   ${QT_LIBRARIES}
   ${Grantlee_CORE_LIBRARIES}
)

=== src/include/CMakeLists.txt ===
INSTALL( FILES
        icc34.h
	oyranos.h
	oyranos_colour.h
	oyranos_config.h
	oyranos_core.h
	oyranos_definitions.h
	oyranos_icc.h
	oyranos_types.h
	DESTINATION include/${PACKAGE_NAME})

=== src/include_private/CMakeLists.txt ===
INCLUDE(CheckSymbolExists)

CHECK_SYMBOL_EXISTS(clearenv     "stdlib.h"         HAVE_CLEARENV)
CHECK_SYMBOL_EXISTS(setenv       "stdlib.h"         HAVE_SETENV)
CHECK_SYMBOL_EXISTS(omp_get_num_procs "stdio.h"     HAVE_OPENMP)

CHECK_INCLUDE_FILE(ctype.h      HAVE_CTYPE_H)
CHECK_INCLUDE_FILE(errno.h      HAVE_ERRNO_H)
CHECK_INCLUDE_FILE(locale.h     HAVE_LOCALE_H)
CHECK_INCLUDE_FILE(stdio.h      HAVE_STDIO_H)
CHECK_INCLUDE_FILE(stdlib.h     HAVE_STDLIB_H)
CHECK_INCLUDE_FILE(string.h     HAVE_STRING_H)
CHECK_INCLUDE_FILE(time.h       HAVE_TIME_H)
CHECK_INCLUDE_FILE(unistd.h     HAVE_UNISTD_H)


CONFIGURE_FILE (
	"${CMAKE_CURRENT_SOURCE_DIR}/config.log.h.in"
	"${CMAKE_CURRENT_BINARY_DIR}/config.log.h"
		@ONLY
	)

CONFIGURE_FILE (
	"${CMAKE_CURRENT_SOURCE_DIR}/oyranos_config_internal.h.in"
	"${CMAKE_CURRENT_BINARY_DIR}/oyranos_config_internal.h"
		@ONLY
	)

INSTALL( FILES
	oyranos_alpha.h
	DESTINATION include/${PACKAGE_NAME}/alpha)

=== src/liboyranos/CMakeLists.txt ===
LINK_DIRECTORIES( ${LINK_DIRECTORIES} ${ELEKTRA_LIBRARY_DIRS} )
LINK_DIRECTORIES( ${LINK_DIRECTORIES} ${YAJL_LIBRARY_DIRS} )

SET( CFILES_OBJECT_IMAGING_PUBLIC
	${GENDIR}oyArray2d_s.c
	${GENDIR}oyConnectorImaging_s.c
	${GENDIR}oyConversion_s.c
	${GENDIR}oyImage_s.c
	${GENDIR}oyPixelAccess_s.c
	${GENDIR}${PACKAGE_NAME}_conversion.c
	${GENDIR}${PACKAGE_NAME}_image.c
   )
SET( CFILES_OBJECT_IMAGING_PUBLIC ${CFILES_OBJECT_IMAGING_PUBLIC} PARENT_SCOPE )
SET( CFILES_OBJECT_IMAGING
	${CFILES_OBJECT_IMAGING_PUBLIC}
	${GENDIR}oyArray2d_s_.c
	${GENDIR}oyConnectorImaging_s_.c
	${GENDIR}oyConversion_s_.c
	${GENDIR}oyImage_s_.c
	${GENDIR}oyPixelAccess_s_.c
	${PACKAGE_NAME}_alpha.c
	${PACKAGE_NAME}_cmm.c
   )
SET( CHEADERS_OBJECT_IMAGING_PUBLIC
	${GENDIR}oyArray2d_s.h
	${GENDIR}oyConnectorImaging_s.h
	${GENDIR}oyConversion_s.h
	${GENDIR}oyImage_s.h
	${GENDIR}oyPixelAccess_s.h
	${GENDIR}${PACKAGE_NAME}_conversion.h
	${GENDIR}${PACKAGE_NAME}_image.h
	${GENDIR}${PACKAGE_NAME}_profile.h
   )
SET( CHEADERS_OBJECT_IMAGING_PUBLIC ${CHEADERS_OBJECT_IMAGING_PUBLIC} PARENT_SCOPE )
SET( CHEADERS_OBJECT_IMAGING
	${GENDIR}oyArray2d_s_.h
	${GENDIR}oyConnectorImaging_s_.h
	${GENDIR}oyConversion_s_.h
	${GENDIR}oyImage_s_.h
	${GENDIR}oyPixelAccess_s_.h
	${GENDIR}${PACKAGE_NAME}_conversion_internal.h
	${GENDIR}${PACKAGE_NAME}_image_internal.h
	${CHEADERS_OBJECT_IMAGING_PUBLIC}
   )

SET( SOURCES ${CFILES_OBJECT_IMAGING} ${CHEADERS_OBJECT_IMAGING} )

#SET( EXTRA_LIBS ${EXTRA_LIBS} ${YAJL_LIBRARIES} )
ADD_LIBRARY( oyranos SHARED ${SOURCES} )
TARGET_LINK_LIBRARIES (
   oyranos
   oyranos_config oyranos_modules oyranos_object oyranos_core ${EXTRA_LIBS} )
ADD_LIBRARY( oyranos-static STATIC ${SOURCES} )
TARGET_LINK_LIBRARIES (
   oyranos-static
   oyranos_config-static oyranos_modules-static oyranos_object-static oyranos_core-static ${EXTRA_LIBS} )

INSTALL (TARGETS oyranos oyranos-static DESTINATION lib${LIB_SUFFIX})
INSTALL (FILES ${CHEADERS_OBJECT_IMAGING_PUBLIC} DESTINATION include/${PACKAGE_NAME})

=== extras/debian/changelog ===
oyranos (0.9.4-1) unstable; urgency=low

  * use available Lab from debian's icc-profile II
  * fix argument parsing in oy-policy tool
  * fix compile warnings
  * support cmake 2.6.4
  * build without LibRaw
  * write n-channel images
  * update copying files
  * add oySIGNATURE_ILLUMINANT
  * add oyProfileSignatureName()
  * add oyWIDGET_GROUP_DEVICES

 -- Kai-Uwe Behrmann (oy) <oy@oyranos.org>  Fri, 19 Jan 2013 12:00:00 +0100

oyranos (0.9.3-1) unstable; urgency=low

  * use oyEDITING_XYZ instead of "XYZ.icc"
  * support download of ICC profiles in oy-profiles
  * avoid XRandR expensive call again
  * fix derived QtApplication class constructor
  * show initial XCM status in qcmsevents

 -- Kai-Uwe Behrmann (oy) <oy@oyranos.org>  Fri, 04 Jan 2013 12:00:00 +0100

oyranos (0.9.2-1) unstable; urgency=low

  * Initial release

 -- Kai-Uwe Behrmann (oy) <oy@oyranos.org>  Tue, 20 Nov 2012 16:05:16 +0100

=== extras/arch.abs/elektra/PKGBUILD ===
# PKGBUILD maintained by Andreas Obergrusberger <tradiaz@yahoode>
# PKGBUILD update by Xavier corredorl (epsilom) 2009
# PKGBUILD update by Yiannis Belias 2011

pkgname=elektra
pkgver=0.7.0
pkgrel=2
pkgdesc="Elektra is a universal hierarchical configuration store"
url="http://www.libelektra.org/"
license="BSD"
arch=('i686' 'x86_64')
depends=('libxml2')
makedepends=('docbook-xsl')
source=(http://www.markus-raab.org/ftp/$pkgname-$pkgver.tar.gz)
md5sums=('febdf1276bc7ba91636731f73a30f756')

build() {
  LDFLAGS=$(echo ${LDFLAGS} | sed 's/-Wl, *--as-needed//')

  cd $startdir/src/$pkgname-$pkgver
  ./configure \
    --prefix=/usr \
    --libdir=/lib \
    --bindir=/bin \
    --sysconfdir=/etc \
    --with-docbook=/usr/share/xml/docbook
  make || return 1
}

package() {
  cd $startdir/src/$pkgname-$pkgver
  make DESTDIR=$startdir/pkg install
  mv $pkgdir/usr/include $pkgdir/usr/elektra
  mkdir $pkgdir/usr/include
  mv $pkgdir/usr/elektra $pkgdir/usr/include

  mkdir -p $startdir/pkg/usr/share/licenses/$pkgname
  cp COPYING $startdir/pkg/usr/share/licenses/$pkgname/
}

=== extras/arch.abs/oyranos-git/PKGBUILD ===
# Maintainer: Yiannis Belias <jonnyb@hol.gr>

pkgname=oyranos-git
pkgver=20110602
pkgrel=1
pkgdesc="The Colour Management System (CMS) Oyranos allows the coordination of
device specific Information (ICC profiles) and system wide settings."
arch=('i686' 'x86_64')
url="http://www.oyranos.org"
license=('BSD' 'FLMM' 'FLTK' 'GPL')
groups=()
depends=('libxml2'
         'libxrandr'
         'libxinerama'
         'libxfixes'
         'libxxf86vm'
         'lcms'
         'lcms2'
         'libxcm')
makedepends=('git' 'doxygen' 'graphviz')
optdepends=('qt: for a nice observer utility'
            'fltk: is needed for the example Gui'
            'libraw: for cameraRAW decoding'
            'exiv2: for cameraRAW decoding'
            'xcalib: a vcgt loader'
            'elektra')
provides=('oyranos')
conflicts=('oyranos')

source=()
md5sums=()

_gitname="oyranos"
_gitroot="git://www.oyranos.org/git/oyranos"

build() {
  msg "Connecting to GIT server...."
  cd ${srcdir}
  if [ -d ${_gitname}/.git ]; then
    cd ${_gitname}
    git pull
  else
    git clone ${_gitroot} ${_gitname}
  fi

  msg "Starting make..."
  cd ${srcdir}/${_gitname}
  CFLAGS=-I/usr/include/elektra/ ./configure --prefix=/usr
  make
  make docu
}

package() {
  cd ${srcdir}/${_gitname}
  make DESTDIR="${pkgdir}/" install
}

=== extras/debian/control ===
Source: oyranos
Priority: optional
Maintainer: Kai-Uwe Behrmann (oy) <oy@oyranos.org>
# optionaly add fluid and libfltk-dev for oy-config-fltk
Build-Depends: debhelper (>= 8.0.0), autotools-dev,
 autoconf,
 cmake,
 libxml2-dev,
 libyajl-dev,
 gettext,
 libpng-dev,
 libqt4-dev,
 libcairo2-dev,
 x11proto-xf86vidmode-dev,
 x11proto-xext-dev,
 libxxf86vm-dev,
 libxrandr-dev,
 libxinerama-dev,
 libxmu-dev,
 libxpm-dev,
 libxfixes-dev,
 libxcm-dev,
 liblcms1-dev,
 libraw-dev,
 libexiv2-dev,
 libcups2-dev,
 pkg-config,
 icc-profiles-free,
 doxygen,
 graphviz
Standards-Version: 3.9.3
Section: libs
Homepage: http://www.oyranos.org
Vcs-Git: git://www.oyranos.org/git/oyranos
Vcs-Browser: http://www.oyranos.org/scm?p=oyranos.git;a=summary

Package: liboyranos-dev
Section: libdevel
Architecture: any
Depends: oyranos (= ${binary:Version}), ${misc:Depends}
Description: Color Management System Development Files
 The library allows one to match predictably input device colours to 
 output device colours across supporting applications. One goal 
 is to make colour management useful for all users in a automated 
 fashion and regardless of any technical knowledge.
 Headers and development files for Oyranos.

Package: oyranos-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Color Management System Programming Documentation
 The library allows one to match predictably input device colours to 
 output device colours across supporting applications. One goal 
 is to make colour management useful for all users in a automated 
 fashion and regardless of any technical knowledge.
 Oyranos API documentation.

Package: liboyranos0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, icc-profiles-free
Description: Color Management System Libraries
 The library allows one to match predictably input device colours to 
 output device colours across supporting applications. One goal 
 is to make colour management useful for all users in a automated 
 fashion and regardless of any technical knowledge.
 Oyranos Libraries.

Package: oyranos
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xcalib
Description: Color Management System Tools
 The library allows one to match predictably input device colours to 
 output device colours across supporting applications. One goal 
 is to make colour management useful for all users in a automated 
 fashion and regardless of any technical knowledge.
 Oyranos Tools.

#Package: oyranos-ui-fltk
#Section: graphics
#Architecture: any
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Description: X Color Management example panel
# The example panel shows some of the basic settings of the Oyranos CMS.

Package: oyranos-qcmsevents
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X Color Management Event observer applet
 The applet shows if a color server is running through a icon in 
 the system tray.

=== extras/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

=== extras/debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://sourceforge.net/projects/oyranos/files/Oyranos/Oyranos%200.9/oyranos-([\d\.]+)\.tar\.(?:bz2|gz|xz)
